#!/bin/sh

#
# Change following variables if necessary
#
BIN_DIR=/usr/local/bin
CONF_DIR=/etc/n2rrd
#
# on linux/bash systems I assume "which" is aliased to "type -p"
# else change the variable accordingly
#
PERL=`which perl`

#
# Normally no need to change any thing below this line
#

sed -i -e "s|@BIN_PERL@|$PERL -w|" n2rrd.pl
sed -i -e "s|@BIN_PERL@|$PERL -w|" rrd2graph.cgi

install -v -d $CONF_DIR
install -v -d $CONF_DIR/js
install -v -d $BIN_DIR
install -v -m 644 n2rrd.conf $CONF_DIR/dist-n2rrd.conf

cp -r templates $CONF_DIR
cp js/zoom.js $CONF_DIR/js


install -v -m 755 n2rrd.pl $BIN_DIR

echo "
=========================================================

1) Edit rrd2graph.cgi and change following variable
   1.1)	\$conf_file 
	to appropriate value
   1.2) commnet line \"undef \$conf_file\" in case you are using
        some configuration varibales to overide default values

2) Copy rrd2graph to your cgi-bin directory

3) Read further installation guide at n2rrd.diglinks.com
=========================================================
"

exit 0
