--imgformat=PNG
--lazy
--title="$HOSTNAME$ - Ethernet Traffic"
--base=1000
--height=200
--width=500
#--alt-autoscale-max
#--lower-limit=0
--vertical-label="bits/sec"
--slope-mode
DEF:in_bytes="$RRD_FILENAME$":in:AVERAGE
DEF:out_bytes="$RRD_FILENAME$":out:AVERAGE
"CDEF:in_bits=in_bytes,8,*"
"CDEF:out_bits=out_bytes,8,*"
"CDEF:out_bits_neg=out_bits,-1,*"
"CDEF:bytes_in=in_bytes,0,12500000,LIMIT,UN,0,in_bytes,IF,86400,*"
"CDEF:bytes_out=out_bytes,0,12500000,LIMIT,UN,0,out_bytes,IF,86400,*"
"CDEF:total_bytes=bytes_in,bytes_out,+"
"AREA:in_bits#00dd00:in"
"AREA:out_bits_neg#0000ff:out\n"
COMMENT:"    maximum      average        current\n"
GPRINT:in_bits:MAX:"%7.2lf %sb/s"
GPRINT:in_bits:AVERAGE:"%7.2lf %sb/s"
GPRINT:in_bits:LAST:"%7.2lf %sb/s\n" 
GPRINT:out_bits:MAX:"%7.2lf %sb/s"
GPRINT:out_bits:AVERAGE:"%7.2lf %sb/s"
GPRINT:out_bits:LAST:"%7.2lf %sb/s\n" 
GPRINT:bytes_in:AVERAGE:"totals %7.2lf %sB i"
GPRINT:bytes_out:AVERAGE:"%7.2lf %sB o"
GPRINT:total_bytes:AVERAGE:"%7.2lf %sB t" 
